Skip to main content
GET
/
v1
/
assets
/
blockchains
/
{id}
Get blockchain by ID or slug
curl --request GET \
  --url https://api.xentfi.com/v1/assets/blockchains/{id} \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": {
    "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
    "name": "Base",
    "slug": "base-mainnet",
    "symbol": "ETH",
    "isActive": true,
    "isEvmCompatible": true,
    "configurations": null,
    "chainId": 8453,
    "logoUrl": "https://example.com/base-logo.png",
    "tokenStandard": "ERC20",
    "createdAt": "2023-04-28T14:44:06.397Z",
    "updatedAt": "2024-11-26T15:26:18.785Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

id
string
required

Blockchain ID or slug (e.g., "base-mainnet")

Query Parameters

includeAssets
boolean
default:false

Response

Blockchain details

data
object